Rated 3 out of 5 stars

ugh! it says it works with 3.6*, but it doesn't!!! had to roll back to a previous version of FF just for this...